//	DllStuff.h - #define to export symbols when using msvc.
//  ----------------------------------------------------------------------------
//	This file is part of 'Heilan Browser', an X3D browser specialised for audio
//	work.
//	Copyright (C) 2005-2009  Niall Moody
//	
//	This program is free software: you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation, either version 3 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program.  If not, see <http://www.gnu.org/licenses/>.
//	----------------------------------------------------------------------------

#ifndef DLLSTUFF_H_
#define DLLSTUFF_H_

#if(defined(_WIN32)||defined(WIN32)||defined (__WIN32__)||defined(__CYGWIN__))
	#ifdef HEILAN_APP
		#define dllStuff __declspec(dllexport)
	#else
		#define dllStuff __declspec(dllimport)
	#endif

	//To get rid of warnings about stl containers needing a dll-interface...
	#pragma warning(disable:4251)
#else
	#define dllStuff
#endif

#endif
