//	MFString.cpp - Class representing an MFString.
//  ----------------------------------------------------------------------------
//	This file is part of 'Heilan Browser', an X3D browser specialised for audio
//	work.
//	Copyright (C) 2005-2009  Niall Moody
//	
//	This program is free software: you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation, either version 3 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program.  If not, see <http://www.gnu.org/licenses/>.
//	----------------------------------------------------------------------------

#include "MFString.h"

#include <iostream>

using namespace std;

//------------------------------------------------------------------------------
MFString::MFString(const string& val)
{
	if((val.find('\'') == string::npos) && (val.find('\"') == string::npos))
		strings.push_back(val);
	else if(val.find('\'') != string::npos)
	{
		string tempstr;
		string tempVal = val;

		while(tempVal.size() > 0)
		{
			tempVal = tempVal.substr(tempVal.find_first_of('\'')+1);

			tempstr = tempVal.substr(0, tempVal.find_first_of('\''));
			strings.push_back(tempstr);

			tempVal = tempVal.substr(tempVal.find_first_of('\'')+1);
		}
	}
	else if(val.find('\"') != string::npos)
	{
		string tempstr;
		string tempVal = val;

		while(tempVal.size() > 0)
		{
			tempVal = tempVal.substr(tempVal.find_first_of('\"')+1);

			tempstr = tempVal.substr(0, tempVal.find_first_of('\"'));
			strings.push_back(tempstr);

			tempVal = tempVal.substr(tempVal.find_first_of('\"')+1);
		}
	}
}

//------------------------------------------------------------------------------
MFString::~MFString()
{
	
}
