//	MetadatSet.h - Metadata set node.
//  ----------------------------------------------------------------------------
//	This file is part of 'Heilan Browser', an X3D browser specialised for audio
//	work.
//	Copyright (C) 2005-2009  Niall Moody
//	
//	This program is free software: you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation, either version 3 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program.  If not, see <http://www.gnu.org/licenses/>.
//	----------------------------------------------------------------------------

#ifndef METADATASET_H_
#define METADATASET_H_

#include "Metadata.h"

namespace HeilanX3D
{

///	Metadata set node.
/*!
	Not really implemented properly, but I can't imagine it'll get used much
	anyway.
 */
class MetadataSet : public Metadata
{
  public:
	///	Constructor.
	MetadataSet();
	///	Destructor.
	~MetadataSet();

	///	Called to set the value of the named attribute.
	void setAttribute(const std::string& attribute, EventValue& val);

	static NodeConstructor<MetadataSet> constructor;
};

}

#endif
