//	Map1InExp.cpp - Mapping to apply an exponential(-ish) curve to its input.
//  ----------------------------------------------------------------------------
//	This file is part of 'Heilan Browser', an X3D browser specialised for audio
//	work.
//	Copyright (C) 2005-2009  Niall Moody
//	
//	This program is free software: you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation, either version 3 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program.  If not, see <http://www.gnu.org/licenses/>.
//	----------------------------------------------------------------------------

#include "Map1InExp.h"

//------------------------------------------------------------------------------
Map1InExp::Map1InExp():
Parameter()
{
	
}

//------------------------------------------------------------------------------
Map1InExp::~Map1InExp()
{
	
}

//------------------------------------------------------------------------------
void Map1InExp::valueChanged(float val)
{
	Parameter::valueChanged(val/(val+(-9.0f*(val-1.0f))));
}
